<!DOCTYPE html>
{% extends 'base.html' %}
{% load static %}
{% load checkLink %}

<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.0/jquery.min.js"></script>
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
<link rel="stylesheet" type="text/css" href="{% static '/css/general.css' %}" />
<script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous">
</script>

<!-- Qick look into css classes:
    .messages: For when a post is successfully removed
    .home_tweets: all the posts
    .home_profile: all the information about the reletive (name,pic etc)
    .home_profile_image: the avatar
    .home_profile_NandR: only the name and relationship of relative
    .home_profile_name: relative name
    .home_relatives: relationship
    .tweettime: date
    .tweettext: text, status
    .tweet-img: pictures, photos; might be more than one

    Notice: there is no class for videos
-->

{% block body %}
<body class="d-flex flex-column min-vh-100">
    
    <nav class="navbar fixed-top navbar-light bg-light">
        <div class="container-fluid">
    
            <div class="d-flex align-items-center">
                <a class="d-inline-block" href="{% url 'home' %}"><img src="{% static '/image/purple-g.png' %}"
                        width="48px"></a>
                <h3 class="d-inline-block m-0" style="padding: 5px 0 0 5px;"> Home</h3>
            </div>
    
            <div class="d-flex">
            <a href = "{% url 'filter' %}"><button class="btn button-primary me-1 d-inline"><span class="material-icons">&#xef4f;</span>Filter</button></a>
            <button class="btn button-primary" onclick="scrollToTop()"><span class="material-icons">&#xe5d8;</span>Top</button>
          </div>
    
        </div>
    
    </nav>

    <main class="home-body flex-fill">
        {% if messages %}
        <div class="alert">
            {% for message in messages %}
                <p class="mb-0"> {{ message }} </p>
            {% endfor %}
        </div>
        
        {% endif %}
        <h1>Hello {{user.first_name}} {{user.last_name}}</h1>
        <br>
        
        <div class="d-inline-block">
            <a href="{% url 'relative_info' %}"><button class="btn button-primary"><span class="material-icons">&#xea4d;</span> Add relative</button> </a>
            <a href="{% url 'logout' %}"><button class="btn button-primary"><span class="material-icons">&#xe9ba;</span> Logout</button> </a>
        </div>

        {% if filter %}
        <div class="alert" role="alert">
            <p style="font-size: 18px;">You are seeing only from:
                {%for name in rel_names%}
                    <span style="font-weight: bold;">{{name}}</span> 
                {%endfor%}
            </p>
            <hr>
            <div class="text-center">
                <a href = "{% url 'filter' %}"><button class="btn btn-outline d-inline"><span class="material-icons">&#xef4f;</span> Edit Filter</button></a>
                <a href="{% url 'home' %}"><button class="btn btn-outline"><span class="material-icons">&#xe14c;</span> Delete Filter</button> </a>
            </div>
            
        </div>
        
        
        {% endif %}

        <ul id="home_tweets">
            
            <hr>
            {% for post in posts.posts %}
            <a href = "{% url 'relative-detail' pk=post.relative_pk %}">
            <div class="home_profile">
                {%if post.avatar_url%}
                <figure class="home_profile_image"><img class="home_profile_actual_image" src="data:image/jpeg;base64,{{post.avatar_url}}" width="50px"></figure>
                {%elif post.avatar%}
                <figure class="home_profile_image"><img class="home_profile_actual_image" src="{{post.avatar}}" width="50px" height="50px"></figure>
                {%else%}
                <figure class="home_profile_image"><img class="home_profile_actual_image"
                        src="{%static '/image/default-avatar.png' %}" width="50px" height="50px"></figure>
                {%endif%}
                <div class="home_profile_NandR">
                    <p class="home_profile_name">{{post.names}}</p>
                    <p class="home_relatives">{{post.relation}}</p>
                </div> 
            </div></a>
            <!-- The posts start from here -->
            {% if post.sns_tag == 'twitter' %}
            <br>
            <li class="tweettime"><span style="font-weight: 700;">Date:</span> {{ post.date }}</li> 
            <br>
            <li class="tweettext">
                {% for text in post.status%}
                {{ text|urlize }}
                {%endfor%}
            </li>
            {% if post.media %}
            {% for m in post.media %}
            {% if m.type == "photo" %}
            <br>
            <img class="tweet-img" src="{{m.media_url}}" />
            <br>
            {% elif m.type == "video"%}
            <br>
            <video preload controls width="500">
                <source src="{{post.video_url}}" type="video/mp4">
            </video>
            <br>
            {%endif%}
            {%endfor%}
            {% endif %}
            {%endif%}

            {% if post.sns_tag == 'instagram' %}
                <br>
                <li class="tweettime"><span style="font-weight: 700;">Date: </span>{{ post.date }}</li>
                <br>
                <li class="tweettext" > {{ post.caption|urlize }} </li>
                {% if post.post_type == 1 %}
                    <img class="tweet-img" src ="data:image/jpeg;base64,{{post.img_url}}"/>
                {% endif %}
                {% if post.post_type == 2 %}
                    <video preload controls width="500" >
                        <source src ="data:video/mp4;base64,{{post.video_url}}" type="video/mp4" >
                    </video>
                {% endif %}
                {% if post.post_type == 8 %}
                    {% for resource in post.resources %}
                        {% if resource.media_type == 1 %}
                            <img class="tweet-img" src ="data:image/jpeg;base64,{{ resource.media_img_url}}"/>
                        {% elif resource.media_type == 2%}
                            <video preload controls width="500" >
                                <source src ="data:video/mp4;base64,{{ resource.media_video_url}}" type="video/mp4" >
                            </video>
                        {%endif%}
                    {%endfor%}
                {% endif %}
                <br>
            {%endif%}

            {% if post.sns_tag == 'facebook' %}
                <br>
                <li class="tweettime"><span style="font-weight: 700;">Date: </span>{{ post.date }}</li>
                <br>
                <li class="tweettext" >{{ post.status|urlize }} </li>
                {%if post.media%}
                    {%for media in post.media%}
                        {%if media.type == 'photo'%}
                            <img class="tweet-img" src ="data:image/jpeg;base64,{{media.media_url}}"/>
                        {% elif media.type == 'video_inline' %}
                            <video preload controls width="500" >
                                <source src ="data:video/mp4;base64,{{media.media_url}}" type="video/mp4" >
                            </video>
                        {% endif %}
                        {%if media.type == 'album'%}
                            {%for resource in media.resources%}
                                {%if resource.type == 'photo'%}
                                    <img class="tweet-img" src ="data:image/jpeg;base64,{{resource.resource_url}}"/>
                                {% elif resource.type == 'video_inline' %}
                                <video preload controls width="500" >
                                    <source src ="data:video/mp4;base64,{{resource.resource_url}}" type="video/mp4" >
                                </video>
                                {% endif %}
                            {%endfor%}
                        {%endif%}
                    {%endfor%}
                {%endif%}
            <br>
            {%endif%}

            <br>
            <div class="btn-posts">
                <!--<a href="" class="btn btn-comment">Go to Comments</a> -->
                {%if post.saved == True%}
                <a href="" class="save_post btn btn-bookmark disable"><span class="material-icons yellow">&#xe866;</span></a>
                <a class="disable btn btn-like"><span class="material-icons red">&#xe87d;</span></a>
                {%elif  post.saved == False%}
                <a href="#" data-postid="{{post.id}}" data-snstag="{{post.sns_tag}}" data-relpk="{{post.relative_pk}}" class="save_post btn btn-bookmark"><span class="material-icons">&#xe866;</span></a>
                <button class="btn btn-like like_post"><span class="material-icons">&#xe87d;</span></button>
                {%endif%}
                <a href="{% url 'remove_post' post.id post.sns_tag post.relative_pk %}" data-bs-toggle="modal" data-bs-target="#delete-{{post.id}}" class="btn btn-discard"><span class="material-icons">&#xe14c;</span></a>
                <!-- <div class="btn-posts d-inline-block ms-5">
                    <a data-bs-toggle="modal" data-bs-target="#delete"><span class="material-icons">&#xe14c;</span></a>
                </div> -->
    
                <!-- Modal -->
    
                <div class="modal fade" id="delete-{{post.id}}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                    <div class="modal-dialog modal-dialog-centered">
                        <div class="modal-content">
                            <div class="modal-body" style="line-height: 24px;">
                                Are you sure you want to discard this post?
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancel</button>
                                <a class="btn button-primary" href="{% url 'remove_post' post.id post.sns_tag post.relative_pk %}">Delete</a>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <hr>
            {% endfor %}
        </ul>
        <br><br><br><br><br><br>
    </main>
<script>
    console.log("Java in");
    $(document).ready(function(){
        let selectedInput = null;
        let selectedMaterials = null;
        console.log("Java in2");
        $(".save_post").click(function(e) {
            e.preventDefault();
            console.log("Java in3");
            var postid = $(this).data('postid');
            var snstag = $(this).data('snstag');
            var relpk = $(this).data('relpk');
            selectedInput= $(this);
            selectedMaterials = $(this).children(".material-icons")
          $.ajax({
            type: "GET",
            url: "/save/post/"+postid +"/from/"+snstag+"/relative/"+relpk,
            data:{
                 post_id: postid,
                 snstag: snstag,
                 relpk:relpk
            },
            success: function (result) {
                selectedInput.addClass("disable");
                selectedMaterials.addClass("yellow");
                }});
              });
            });
        $(".like_post").click(function(e) {
        e.preventDefault();
        console.log("Java in4");
        selectedInput= $(this);
        selectedMaterials = $(this).children(".material-icons")
        selectedInput.addClass("disable");
            selectedMaterials.addClass("red");
            });
</script>



    {% endblock %}
    
</body>
